Package org.apache.sling.caconfig.management

# Interface ConfigurationData

@ProviderType public interface ConfigurationData
Provides access to the configuration data and metadata for a given context path.

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getCollectionItemName()`
In case of configuration resource collection, this returns the collection item resource name.
`@NotNull String`
`getConfigName()`
Get configuration name.
`@NotNull org.apache.sling.api.resource.ValueMap`
`getEffectiveValues()`
Configuration values stored for the given context path merged with inherited values and default values.
`@NotNull Set<String>`
`getPropertyNames()`
List of effective property names defined in configuration metadata or values are defined for.
`@Nullable String`
`getResourcePath()`
`@Nullable ValueInfo<?>`
`getValueInfo(String propertyName)`
Get detailed metadata information about the property value.
`@NotNull org.apache.sling.api.resource.ValueMap`
`getValues()`
Configuration values stored for the given context path.
`boolean`
`isInherited()`
`boolean`
`isOverridden()`

## Method Details

### getConfigName

@NotNull @NotNull String getConfigName()
Get configuration name.

Returns:
  Configuration name

### getCollectionItemName

@Nullable @Nullable String getCollectionItemName()
In case of configuration resource collection, this returns the collection item resource name.

Returns:
  Item resource name or null if it is a singleton resource.

### getResourcePath

@Nullable @Nullable String getResourcePath()

Returns:
  Path of the configuration resource or null if it cannot be determined.

### getPropertyNames

@NotNull @NotNull Set<String> getPropertyNames()
List of effective property names defined in configuration metadata or values are defined for.

Returns:
  Property names

### getValues

@NotNull @NotNull org.apache.sling.api.resource.ValueMap getValues()
Configuration values stored for the given context path. No inherited values. No default values. The properties of the resource identified by `getResourcePath()` are returned. If this resources does not exist, the map is empty.

Returns:
  Values

### getEffectiveValues

@NotNull @NotNull org.apache.sling.api.resource.ValueMap getEffectiveValues()
Configuration values stored for the given context path merged with inherited values and default values.

Returns:
  Values

### getValueInfo

@Nullable @Nullable ValueInfo<?> getValueInfo(String propertyName)
Get detailed metadata information about the property value.

Parameters:
  `propertyName` - Property name
Returns:
  Value information. Null if neither property metadata nor an existing value exists.

### isInherited

boolean isInherited()

Returns:
  true if the whole configuration is inherited.

### isOverridden

boolean isOverridden()

Returns:
  true if the whole configuration is overridden by an configuration override provider.